Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface Instant

All Superinterfaces:
  Separation, TemporalGeometricPrimitive, TemporalObject, TemporalOrder, TemporalPrimitive

    @UML(identifier="TM_Instant",
         specification=ISO_19108)
    public interface Instant

extends TemporalGeometricPrimitive

A zero-dimensional geometric primitive that represents position in time, equivalent to a point in space.

Method Summary
`Collection<Period>` | `getBegunBy()` Get the Collection of temporal `Period`s, for which this Instant is the beginning.
`Collection<Period>` | `getEndedBy()` Get the Collection of temporal `Period`s, for which this Instant is the end.
`Position` | `getPosition()` Get the position of this instant.

Methods inherited from interface TemporalOrder
`relativePosition`

Methods inherited from interface Separation
`distance, length`

Method Detail

### getPosition

    @UML(identifier="position",
         obligation=MANDATORY,
         specification=ISO_19108)
    Position getPosition()

  Get the position of this instant.

### getBegunBy

    @UML(identifier="begunBy",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Collection<Period> getBegunBy()

  Get the Collection of temporal `Period`s, for which this Instant is the beginning. The collection may be empty.

  See Also:
    `Period#begin`

### getEndedBy

    @UML(identifier="endedBy",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Collection<Period> getEndedBy()

  Get the Collection of temporal `Period`s, for which this Instant is the end. The collection may be empty.

  See Also:
    `Period#end`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.